import { PlayPromise } from './types/video';
import { subscribeEvents } from './types/events';
import { IState } from './Interface/IState';
declare class TruePlayer {
    private readonly video;
    constructor(id: string);
    play(): PlayPromise;
    seek(time: number, withPlay?: boolean): PlayPromise | undefined;
    pause(): void;
    stop(): void;
    togglePlay(): PlayPromise | undefined;
    volume(volume: number): void;
    mute(): void;
    state(event: subscribeEvents): IState;
    subscribe(events: subscribeEvents[], listener: (event: IState) => void): () => void;
}
export default TruePlayer;
